Package org.italiangrid.voms.credential.impl

# Class DefaultProxyPathBuilder

java.lang.Object
org.italiangrid.voms.credential.impl.DefaultProxyPathBuilder

All Implemented Interfaces:
  `ProxyNamingPolicy`

public class DefaultProxyPathBuilder extends Object implements ProxyNamingPolicy

## Constructor Summary

Constructors
Constructor
Description
`DefaultProxyPathBuilder()`

## Method Summary

Modifier and Type
Method
Description
`String`
`buildProxyFileName(String tmpPath, int userId)`
Builds the file name of a VOMS proxy

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultProxyPathBuilder

public DefaultProxyPathBuilder()

## Method Details

### buildProxyFileName

public String buildProxyFileName(String tmpPath, int userId)
Description copied from interface: `ProxyNamingPolicy`
Builds the file name of a VOMS proxy

Specified by:
  `buildProxyFileName` in interface `ProxyNamingPolicy`
Parameters:
  `tmpPath` - the path of the temporary directory of the system
  `userId` - the effective user id the user for which the proxy is created
Returns:
  a `String` representing the proxy file name